package immibis.ars;

import ic2.common.TileEntityNuclearReactor;
import immibis.ars.projectors.TileProjector;
import immibis.ars.projectors.TileProjectorExtender;
import immibis.ars.projectors.TileProjectorReactor;

import net.minecraft.src.EntityPlayer;
import net.minecraft.src.ItemStack;
import net.minecraft.src.TileEntity;
import net.minecraft.src.World;

public class ItemMFD_debuger extends ItemMFD {

	public ItemMFD_debuger(int i) {
		super(i, 3);
		setIconIndex(3);
	}

	/* $if mc >= 1.3$ */
	public boolean onItemUse(ItemStack itemstack, EntityPlayer entityplayer, World world, int i, int j, int k, int l, float x1, float x2, float x3) {
	/* $else$
	public boolean onItemUse(ItemStack itemstack, EntityPlayer entityplayer, World world, int i, int j, int k, int l) {
	$endif$ */
	
		TileEntity tileEntity = world.getBlockTileEntity(i, j, k);

		if (tileEntity instanceof TileEntityReaktorMonitorClient) {
			info.setLength(0);
			info.append("islink: ").append(((TileEntityReaktorMonitorClient) tileEntity).isLinkMonitor());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("conectet_ID: ").append(((TileEntityReaktorMonitorClient) tileEntity).getLinkMonitor_ID());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("status: ").append(((TileEntityReaktorMonitorClient) tileEntity).getChannel());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("signal: ").append(((TileEntityReaktorMonitorClient) tileEntity).isSignal());
			Functions.ChattoPlayer(entityplayer, info.toString());

		}

		if (tileEntity instanceof TileEntityReaktorMonitor) {
			info.setLength(0);
			info.append("channel: ").append(((TileEntityReaktorMonitor) tileEntity).getChannel(0));
			info.append(((TileEntityReaktorMonitor) tileEntity).getChannel(1));
			info.append(((TileEntityReaktorMonitor) tileEntity).getChannel(2));
			info.append(((TileEntityReaktorMonitor) tileEntity).getChannel(3));
			info.append(((TileEntityReaktorMonitor) tileEntity).getChannel(4));
			info.append(((TileEntityReaktorMonitor) tileEntity).getChannel(5));

			Functions.ChattoPlayer(entityplayer, info.toString());

		}

		if (tileEntity instanceof TileEntityReaktorCooler) {
			info.setLength(0);
			info.append("wrenchrate: ").append(((TileEntityReaktorCooler) tileEntity).getWrenchDropRate());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("active: ").append(((TileEntityReaktorCooler) tileEntity).getActive());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("isreaktor: ").append(((TileEntityReaktorCooler) tileEntity).isIsreaktor());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("conectet_ID: ").append(((TileEntityReaktorCooler) tileEntity).getconectet_ID());
			Functions.ChattoPlayer(entityplayer, info.toString());
		}

		if (tileEntity instanceof TileProjectorReactor) {
			info.setLength(0);
			info.append("reactorsize: ").append(((TileProjectorReactor) tileEntity).getReactorsize());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("isreaktor: ").append(((TileProjectorReactor) tileEntity).isIsreaktor());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.append("reactordist: ").append(((TileProjectorReactor) tileEntity).getReactordist());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.append("watercool: ").append(((TileProjectorReactor) tileEntity).isWatercool());
			Functions.ChattoPlayer(entityplayer, info.toString());
		}

		if (tileEntity instanceof TileEntityReaktorConnector) {
			info.setLength(0);
			info.append("redpowert: ").append(((TileEntityReaktorConnector) tileEntity).isredpowert());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("wrenchrate: ").append(((TileEntityReaktorConnector) tileEntity).getWrenchDropRate());
			Functions.ChattoPlayer(entityplayer, info.toString());
		}

		if (tileEntity instanceof TileProjector) {
			info.setLength(0);
			info.append("linkGenerator_ID: ").append(((TileProjector) tileEntity).getLinkGenerator_ID());
			Functions.ChattoPlayer(entityplayer, info.toString());

		}

		if (tileEntity instanceof TileEntityNuclearReactor) {
			info.setLength(0);
			info.append("Reaktor Hitze: ").append(((TileEntityNuclearReactor) tileEntity).heat);
			Functions.ChattoPlayer(entityplayer, info.toString());
		}

		if (tileEntity instanceof TileEntityGeneratorCore) {
			info.setLength(0);
			info.append("Generator ID: ").append(((TileEntityGeneratorCore) tileEntity).getGenerator_ID());
			Functions.ChattoPlayer(entityplayer, info.toString());
		}

		if (tileEntity instanceof TileProjectorExtender) {
			info.setLength(0);
			info.append("is create: ").append(((TileProjectorExtender) tileEntity).isCreate());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("preactive: ").append(((TileProjectorExtender) tileEntity).isPreactive());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("active: ").append(((TileProjectorExtender) tileEntity).getActive());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("con_to_projektor: ").append(((TileProjectorExtender) tileEntity).isCon_to_projektor());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("remProjektor_ID: ").append(((TileProjectorExtender) tileEntity).getRemProjektor_ID());
			Functions.ChattoPlayer(entityplayer, info.toString());
			info.setLength(0);
			info.append("remGenerator_ID: ").append(((TileProjectorExtender) tileEntity).getRemGenerator_ID());
			Functions.ChattoPlayer(entityplayer, info.toString());
			return true;
		}

		//

		if (world.getBlockId(i, j, k) == mod_AdvancedRepulsionSystems.MFFSFieldblock.blockID) {
			FFBlock ffb = FFWorld.get(world).get(i, j, k);
			if (ffb != null) {
				for(String s : ffb.getDebugInfo().split("\n"))
					Functions.ChattoPlayer(entityplayer, s);
				return true;
			}

		}

		return false;
	}

}
